package com.kmall.manager.service.impl;

import com.kmall.manager.dao.CusReqRecordDao;
import com.kmall.manager.entity.CusReqRecordEntity;
import com.kmall.manager.service.CusReqRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 海关请求数据记录表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-25 17:09:12
 */
@Service("cusReqRecordService")
public class CusReqRecordServiceImpl implements CusReqRecordService {
    @Autowired
    private CusReqRecordDao cusReqRecordDao;

    @Override
    public CusReqRecordEntity queryObject(Long id) {
        return cusReqRecordDao.queryObject(id);
    }

    @Override
    public List<CusReqRecordEntity> queryList(Map<String, Object> map) {
        return cusReqRecordDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return cusReqRecordDao.queryTotal(map);
    }

    @Override
    public int save(CusReqRecordEntity cusReqRecord) {
        return cusReqRecordDao.save(cusReqRecord);
    }

    @Override
    public int update(CusReqRecordEntity cusReqRecord) {
        return cusReqRecordDao.update(cusReqRecord);
    }

    @Override
    public int delete(Long id) {
        return cusReqRecordDao.delete(id);
    }

    @Override
    public int deleteBatch(Long[]ids) {
        return cusReqRecordDao.deleteBatch(ids);
    }
}
